Page MenuHomeFreeBSD

devel/arcanist: Patch 'arc version' so it shows package versions.
ClosedPublic

Authored by grembo on Jul 13 2015, 10:38 PM.

Details

Reviewers
eadler
Summary

'arc version' only works within a git repo. Patch 'arc version' so
it shows installed package version of arcanist and libphutil instead.

Test Plan

Install package, enter "arc version"

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

grembo updated this revision to Diff 6901.Jul 13 2015, 10:38 PM
grembo retitled this revision from to devel/arcanist: Patch 'arc version' so it shows package versions..
grembo updated this object.
grembo edited the test plan for this revision. (Show Details)
grembo added a reviewer: eadler.
eadler accepted this revision.Jul 14 2015, 3:01 AM
eadler edited edge metadata.

Seems reasonable to me. I might add an indication that this is a "third party" version.

This revision is now accepted and ready to land.Jul 14 2015, 3:01 AM
grembo updated this revision to Diff 6911.Jul 14 2015, 10:25 AM
grembo edited edge metadata.

Changed the format so it looks a bit more like the original plus
gives an indication of the origin

php5-arcanist 20150626_1 (devel/arcanist)
php5-libphutil 20150626 (devel/libphutil)
This revision now requires review to proceed.Jul 14 2015, 10:25 AM
eadler accepted this revision.Jul 15 2015, 1:21 AM
eadler edited edge metadata.
This revision is now accepted and ready to land.Jul 15 2015, 1:21 AM
grembo closed this revision.Jul 15 2015, 10:20 AM